Subject: Re: [Roll] New Version Notification for draft-gnawali-roll-rpl-recommendations-03.txt

From: Philip Levis <[email-masked]>
Date: Sat, 7 Apr 2012 15:46:29 -0700

On Mar 18, 2012, at 11:13 PM, Koojana Kuladinithi wrote:

> Hi John,
> 
>> 
>> Koojana,
>> 
>> In terms of why the DIS is sent at different intervals is rather simple
>> to explain. A Trickle Timer is typically used when the network is
>> stable and nothing needs to happen. At least this is the philosophy I
>> tried to follow when implementing TinyRPL. However, when a node is NOT
>> connected, this indicates that the network is not stable AT ALL.
>> Therefore, it should try to aggressively find a next hop node rather
>> than to save power. The goal of the node should be, at this point, to
>> connect to a DODAG.
>> 
> 
> [koo] Yes
> 
>> Furthermore, it is not really necessary to install the root last in a
>> RPL deployment. I don't see why this HAS TO be the case. 
> 
> [koo] Unfortunately, this is not the case for our scenario in reality. E.g.,
> Fruits will be placed in boxes together with sensor nodes (at the field) and
> will be loaded to a container (at the harbor) later. The DODAG root (the BR)
> will be attached to the container. Until the sensor nodes see any reachable
> DODAG root, it may takes 1 - 2 days. 
> Therefore, the sending of DIS messages periodically is not a good option
> .

It sounds like you don't want RPL to operate until the fruits are in the container -- so you want an out-of-band mechanism to wake the network up and start RPL. I'd argue that a routing protocol shouldn't be responsible for this application-specific requirement.

Phil